#!/usr/bin/perl

use strict;
use CGI();

require "inc/cwcal.pl";

my $title = __("Aide Wcal");

cw_header($title);

print "<center>\n";
print "<h1><a href=\"\" onclick='window.close();return false'>$title</a></h1>\n";
print "</center>\n";

my $q = new CGI();

my $res = $q->param("res");
print "<h2>$res</h2>\n";

my $wcald = cw_get_wcald();
my $wconf = cw_get_wconf();

my $url = $wconf->{"base url"} || "/wcal";
$url .= "/doc/$::REMOTE_LANG";
my $filename = "$wcald->{DIRECTORY}/doc/$::REMOTE_LANG/configure.html";

open(FILE, $filename) or die "Can't open $filename for reading: $!";
my $line;
my $ok = 0;
while ($line = <FILE>)
{
    if ($ok)
    {
	if ($line =~ /<blockquote>/)
	{
	    next;
	}
	elsif ($line =~ /<\/blockquote>/)
	{
	    last;
	}
	else
	{
	    $line =~ s/(href=\")([^\"]*)\"/$1$url\/$2\" target=\"_blank\"/gi;
	    print $line;
	}
    }
    elsif ($line =~ /^<b>$res<\/b>/)
    {
	$ok = 1;
    }
}
close(FILE);
if (!$ok)
{
    print '<font size=4 color="red">'.sprintf(__("Ressource inconnue"), $res)."</font>\n";
}
cw_footer();
