#!/usr/bin/perl

# CWcal updater
# by Joel Savignon

use strict;

my $wwwdir = "/var/www/html/cwcal";
print "CWcal updater\n";
print "Please select the location of your CWcal web directory\n";
print "($wwwdir) : ";
my $dir = <STDIN>;
chomp($dir);
if ($dir)
{
    $wwwdir = $dir;
}

if (!-e "$wwwdir/inc/cwcal.conf")
{
    print "\n*** No $wwwdir/inc/cwcal.conf file! ***\n";
    print "Install canceled\n";
    exit 1;
}

my ($wcdev,$wcino,$wcmode,$wcnlink,$wcuid,$wcgid) = stat("$wwwdir/inc/cwcal.conf");
my $user = getpwuid($wcuid);
my $group = getgrgid($wcgid);

print ("Copying files from http directory\n");
system("cp -r http/* $wwwdir");
system("chown -R $user $wwwdir;chgrp -R $group $wwwdir;chmod -R 750 $wwwdir");

print ("\nCWcal successfully updated\n");
